WordPressin laajennuksille tuki PHP 7.2

WordPressin laajennuksille tuki PHP 7.2

07.10.2019

WordPress.org versionhallintajärjestelmä (SVN) sai tuen PHP 7.2 lokakuun 3. Tämä muutoksen ansiosta laajennusten kehittäjät voivat nyt käyttää uudempaa PHP:n syntaksia laajennuksissa, jotka he lähettävät viralliseen laajennusten hakemistoon.

Luonnollisesti tämä on hyvä uutinen PHP:n uudempaa syntaksia käyttäviä laajennusten kehittäjille. Aiemmin kehittäjät pystyivät lähettämään koodin käyttämällä uudempia PHP:n toimintoja, jos heillä oli yhteensopivuustarkistus samassa tiedostossa. Uudempaa syntaksia ei kuitenkaan sallittu. Uusinta tuettua PHP:n versioita ei ole mainittu missään laajennusohjeissa. Teknisesti se on WordPress.org-sivuston SVN:n rajoitus eikä laajennustiimin päättämä asia. Laajennusten kehittäjät eivät kuitenkaan aina tienneet ongelmasta ennen kuin versionhallintajärjestelmä hylkäsi heidän laajennuksensa.

Tämä on ollut olemassa PHP 7.1 julkaisemisen lähtien 1.12.2016. On hyvä, että asia on vihdoin korjattu, mutta se olisi pitänyt tehdä paljon aiemmin. PHP 7.2 aktiivinen tuki lakkaa 30.11. 2019 ja tietoturvatuki 30.11.2020.

Yhteystiedot

  • Nordenskiöldinkatu 25 B 17
  • 06100 Porvoo
  • 045-1674800
  • heikki(at)heikkikujala.fi